# Gargantext notifications

This is a simple CLI app to interact with the Gargantext backend
server and trigger notifications. This is related to issue
https://gitlab.iscpif.fr/gargantext/haskell-gargantext/issues/238.

This is written in Rust because the Haskell nanomsg library was a bit
outdated and I wanted to test it with something more modern.

See the fixes here:
https://github.com/garganscript/nanomsg-haskell/tree/segfault-fix

## Usage

To try bombing the Central Exchange with multiple threads, issue this:
```shell
cargo run --bin ce-notify -- --num-pings 200 --num-threads 50 --ping-delay 10
```

You can also run your own simple server with:
```shell
cargo run --bin ce-listener
```
